import $ from 'jquery';
import { useJquery } from '../src/index';
import Mybtn from '../example/components/Mybtn.jq';

describe('jquery API测试', () => {

  useJquery($);

  it('$html插入组件', () => {
    $('body').html(Mybtn);
    expect($('body')[0]).toMatchSnapshot();
  });

  it('$html插入字符串', () => {
    $('body').html('<div>html插入字符串<div>');
    expect($('body')[0]).toMatchSnapshot();
  });

  it('$component 注册', () => {
    const comps = $.component('xxMyBtn', Mybtn);
    expect(comps).toHaveProperty('XXMYBTN')
  });

  it('$unComponent 销毁', () => {
    let comps = $.component('xxMyBtn', Mybtn);
    comps = $.unComponent('xxMyBtn');
    expect(comps).not.toHaveProperty('XXMYBTN')
  });


});